#include "sys.h"
#include "delay.h"
#include "usart.h"
#include "led.h"
#include "key.h"
#include "lwip_comm.h"
#include "DP83848.h"
#include "usmart.h"
#include "timer.h"
#include "lcd.h"
#include "sram.h"
#include "malloc.h"
#include "lwip/netif.h"
#include "lwip_comm.h"
#include "lwipopts.h"

int main(void)
{
	delay_init(168);       	//ʱʼ
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);	//NVICжϷ2:2λռȼ2λӦȼ
	uart_init(115200);   	//ڲ
	usmart_dev.init(84); 	//ʼUSMART
	LED_Init();  			//LEDʼ
	KEY_Init();  			//ʼ

	
	my_mem_init(SRAMIN);		//ʼڲڴ

	my_mem_init(SRAMCCM);	//ʼCCMڴ	

	TIM3_Int_Init(999,839); //100khzƵ,1000Ϊ10ms
	while(lwip_comm_init()) //lwipʼ
	{
		while(1);
	}

#if LWIP_DHCP   //ʹDHCP
	while((lwipdev.dhcpstatus!=2)&&(lwipdev.dhcpstatus!=0XFF))//ȴDHCPȡɹ/ʱ
	{
		lwip_periodic_handle();	//LWIPںҪʱĺ
	}
#endif

	while(1)
	{
		lwip_periodic_handle();	//LWIPںҪʱĺ
	}
}









