#ifndef __DP83848_H
#define __DP83848_H
#include "sys.h"
#include "stm32f4x7_eth.h"
			
#define DP83848_PHY_ADDRESS  	0x01				//LAN8720 PHYоƬַ.


extern ETH_DMADESCTypeDef *DMARxDscrTab;			//̫DMAݽṹָ
extern ETH_DMADESCTypeDef *DMATxDscrTab;			//̫DMAݽṹָ 
extern uint8_t *Rx_Buff; 							//̫ײbuffersָ 
extern uint8_t *Tx_Buff; 							//̫ײbuffersָ
extern ETH_DMADESCTypeDef  *DMATxDescToSet;			//DMA׷ָ
extern ETH_DMADESCTypeDef  *DMARxDescToGet; 		//DMA׷ָ 
extern ETH_DMA_Rx_Frame_infos *DMA_RX_FRAME_infos;	//DMAյ֡Ϣָ
 

u8 DP83848_Init(void);
u8 DP83848_Get_Speed(void);
u8 ETH_MACDMA_Config(void);
FrameTypeDef ETH_Rx_Packet(void);
u8 ETH_Tx_Packet(u16 FrameLength);
u32 ETH_GetCurrentTxBuffer(void);
u8 ETH_Mem_Malloc(void);
void ETH_Mem_Free(void);
#endif 
